Bug 913254 - Review Request: arm-none-eabi-newlib - C library intended for use on arm-none-eabi embedded systems
Review Request: arm-none-eabi-newlib - C library intended for use on arm-none...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 977986
  Show dependency treegraph
 
Reported: 2013-02-20 12:55 EST by Michal Hlavinka
Modified: 2014-01-17 05:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-08 07:51:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
thozza: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Build failure on mock (155.01 KB, text/plain)
2013-08-22 03:01 EDT, Markus Mayer
no flags Details

  None (edit)
Description Michal Hlavinka 2013-02-20 12:55:42 EST
Spec URL: http://mihlit.cz/smetiste/arm-none-eabi-newlib.spec
SRPM URL: http://mihlit.cz/smetiste/arm-none-eabi-newlib-2.0.0-1.fc18.src.rpm
Description:
Newlib is a C library intended for use on embedded systems. It is a
conglomeration of several library parts, all under free software licenses
that make them easily usable on embedded products.

Fedora Account System Username: mhlavink
Comment 1 Ralf Corsepius 2013-02-20 18:18:33 EST
Blocking fe-legal for review.

I regret not being able to avoid this, this step seems inevitable to me, because newlib repeatedly has been accused of not being compliant to Fedora's legal restrictions.
Comment 2 Michal Hlavinka 2013-02-21 04:45:40 EST
(In reply to comment #1)
> I regret not being able to avoid this, this step seems inevitable to me,
> because newlib repeatedly has been accused of not being compliant to
> Fedora's legal restrictions.

Do you have any links to bugzilla, mail archives,... anything?
Comment 3 Michal Hlavinka 2013-02-21 05:51:54 EST
licensecheck.txt from fedora-review contains (file paths omitted):
BSD (4 clause) ISC
LGPL (v2.1 or later) (with incorrect FSF address)
LGPL (v2 or later)
GPL (v2 or later)
GPL (v3 or later)
Unknown or generated #it's GPLv2+
BSD (4 clause)
MIT/X11 (BSD like)
Public domain BSD (3 clause)
BSD (3 clause) ISC
LGPL (v2 or later) (with incorrect FSF address)
ISC
*No copyright* Public domain
*No copyright* BSD (2 clause)
GPL (v2 or later) (with incorrect FSF address)
BSD (3 clause)
BSD (2 clause)
zlib/libpng
BSD

I did not find any licensing issue myself.

Newlib's homepage states:
"""It is a conglomeration of several library parts, all under free software licenses that make them easily usable on embedded products."""

So I did not find any issue.
Comment 4 Ralf Corsepius 2013-02-21 05:57:52 EST
(In reply to comment #2)
> Do you have any links to bugzilla, mail archives,... anything?
Sorry, I don't have such references at hand and would have to google. However, I recall discussions on legal issues with newlib in context to Fedora in the early days of Fedora (IIRC, Spot was involved).

[First of all, let me clarify my position: I am a long term contributor to newlib and co-maintainer of the RTEMS toolchains. Besides cygwin, RTEMS is one the primary users of newlib.]


The topics, which repeatedly have caused discussions with newlib's licenses were:
- Newlib's source-tarball contains GPL'ed files.

The RH-newlib maintainers (Notably RH employee Jeff Johnston) have always claimed the newlib-runtimes to be "free" (non-GPL'ed), when the GPL'ed parts (e.g. linux + rdos) are not used during compilation.
I.e. newlib's intention is to license the sources and runtime under different licenses.

Besides this, the fact newlib carries GPL'ed files isn't new and is well known in the GCC-community and to my knowledge has never, ever been subject to complaints from Linus Torvalds, RMS nor other GPL-enforcement folks.

- The number of licenses newlib files apply is large.
Apparently this number of licenses is too large for some people to understand.
However, it has always been newlib's intention to be licensed under a liberal "BSDish" license umbrella for all targets, except those targets which are subject to the GPL.


To cut a long story short: I only blocked fe-legal to produce a precedent to have the newlib situation clarified once and for all times, to avoid further confusions.

 I regret it hit your package, but rest assured, it's not meant against you personally nor against your package. I personally do not see any problems with newlib's license.
Comment 5 Ralf Corsepius 2013-02-21 06:04:09 EST
(In reply to comment #3)
> licensecheck.txt from fedora-review contains (file paths omitted):
> BSD (4 clause) ISC
> LGPL (v2.1 or later) (with incorrect FSF address)
> LGPL (v2 or later)
> GPL (v2 or later)
> GPL (v3 or later)
> Unknown or generated #it's GPLv2+
> BSD (4 clause)
> MIT/X11 (BSD like)
> Public domain BSD (3 clause)
> BSD (3 clause) ISC
> LGPL (v2 or later) (with incorrect FSF address)
> ISC
> *No copyright* Public domain
> *No copyright* BSD (2 clause)
> GPL (v2 or later) (with incorrect FSF address)
> BSD (3 clause)
> BSD (2 clause)
> zlib/libpng
> BSD
> 
> I did not find any licensing issue myself.
> 
> Newlib's homepage states:
> """It is a conglomeration of several library parts, all under free software
> licenses that make them easily usable on embedded products."""
Correct. That's what I was referring to above.

> So I did not find any issue.

This question is: Which license will your toolchain be under and which license will the binaries compiled/linked against your newlib be under?

As newlib linked binaries are statically linked, and if not applying the "runtime vs. source tarball" license separation, but using the "GPL umbrella",  your toolchain and all compiled binaries automatically are GPLv3'ed (rsp. the sources required to be GPLv3 compatible).
Comment 6 Markus Mayer 2013-08-20 05:04:47 EDT
After some googling I find this:
https://lists.fedoraproject.org/pipermail/legal/2010-October/001401.html

Essentially ~spot states the following problems:
- There are files under a non-free license (according to #3: not present anymore)
- zlib with acknowledgement is GPL-incompatible (I don't know if the files labeled as 'zlib/libpng' are still 'with acknowledgement')

I'm willing to double check this, if Michal reuploads the source ball (the links from #1 seams dead.)

I'm also willing the provide a tar-ball only containing the required source files and a list of their licenses, to see what's actually needed and what the resulting license would be.
Comment 7 Ralf Corsepius 2013-08-20 08:01:20 EDT
(In reply to Markus Mayer from comment #6)
> After some googling I find this:
> https://lists.fedoraproject.org/pipermail/legal/2010-October/001401.html
> 
> Essentially ~spot states the following problems:
> - There are files under a non-free license (according to #3: not present
> anymore)
Correct ... newlib is supposed not to carry any non-free files. As I wrote above, except of the linux files, newlib is supposed to be licensed BSDish over all.

> - zlib with acknowledgement is GPL-incompatible (I don't know if the files
> labeled as 'zlib/libpng' are still 'with acknowledgement')
AFAICT, there is only zlib/libpng licensed file:
newlib/libc/sys/linux/include/net/zlib.h

This file uses the same license as GCC's zlib/zlib.h in the FSF's source-tree, and is only used when building newlib for linux (== newlib w/ GPL)

So either your claim about zlib vs. GPL is wrong or you've found a serious legal issue in the FSF's GCC source tree and should contact the FSF's legal persons.
Comment 8 Markus Mayer 2013-08-20 09:11:09 EDT
(In reply to Ralf Corsepius from comment #7)
> AFAICT, there is only zlib/libpng licensed file:
> newlib/libc/sys/linux/include/net/zlib.h
> 
> This file uses the same license as GCC's zlib/zlib.h in the FSF's
> source-tree, and is only used when building newlib for linux (== newlib w/
> GPL)
> 
> So either your claim about zlib vs. GPL is wrong or you've found a serious
> legal issue in the FSF's GCC source tree and should contact the FSF's legal
> persons.

zlib and GPL works fine. It's 'zlib with acknowledgement' and GPL that's incompatible. As 'newlib/libc/sys/linux/include/net/zlib.h' is plain zlib licensed there is no problem with that.

Is this enough information to drop FE-LEGAL, or are there still any concerns?
Comment 9 Michal Hlavinka 2013-08-21 08:05:32 EDT
(In reply to Markus Mayer from comment #6)
> I'm willing to double check this, if Michal reuploads the source ball (the
> links from #1 seams dead.)

Links are fixed now
Comment 10 Markus Mayer 2013-08-22 03:01:30 EDT
Created attachment 789052 [details]
Build failure on mock

I tried to build this package using mock, but I seems like gcc is segfaulting.
Comment 11 Ralf Corsepius 2013-08-23 00:06:02 EDT
(In reply to Markus Mayer from comment #10)
> Created attachment 789052 [details]
> Build failure on mock
> 
> I tried to build this package using mock, but I seems like gcc is
> segfaulting.
Doesn't actually surprise me ;)

* You normally can't build newlib using a bare-metal compiler.
bare-metal targets are a entirely target than newlib targets.
You would expect Win compiler to be able to generate code for linux?

It sometimes works, but this more or less is just a random lucky accident.

GCC and newlib depend self-recursively upon each other, similar to glibc, GCC and the linux-kernel (headers).

The standard escape to this is to at least once bootstrap newlib+GCC simulaneously. Later on GCC and newlib, in many cases can be built recursively if they remain sufficiently compatible.

* arm-*eabi in newlib and GCC are known to be pretty unstable and to have undergone many changes related to this in recent past.
Comment 12 Michal Hlavinka 2013-08-25 03:52:10 EDT
(In reply to Markus Mayer from comment #10)
> Created attachment 789052 [details]
> Build failure on mock
> 
> I tried to build this package using mock, but I seems like gcc is
> segfaulting.

I'm on vacation with limited internet access, but I finally got time to look at it. I updated arm-*-{binutils,gcc} to latest version and it works. Try it now

koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5850497
Comment 13 Markus Mayer 2013-08-26 05:40:02 EDT
(In reply to Michal Hlavinka from comment #12)
> (In reply to Markus Mayer from comment #10)
> > Created attachment 789052 [details]
> > Build failure on mock
> > 
> > I tried to build this package using mock, but I seems like gcc is
> > segfaulting.
> 
> I'm on vacation with limited internet access, but I finally got time to look
> at it. I updated arm-*-{binutils,gcc} to latest version and it works. Try it
> now
> 
> koji build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=5850497

The package builds fine now. I willing to take the review, but I don't want to ignore Ralphs opinion on the legal issue.

@Ralph: I have looked over all relevant files and they are all BSD-like licensed. Do you still insist on FE-Legal, or are you fine with it?
Comment 14 Michal Hlavinka 2013-08-26 07:42:47 EDT
(In reply to Markus Mayer from comment #13)
> The package builds fine now. I willing to take the review, but I don't want
> to ignore Ralphs opinion on the legal issue.

There is reviewer assigned already. The legal blocker is the only issue.
Comment 15 Michal Hlavinka 2013-10-11 05:34:28 EDT
needinfo wrt comment #13
Comment 16 Markus Mayer 2013-10-11 08:52:24 EDT
What info do you need exactly?
Comment 17 Michal Hlavinka 2013-10-11 10:14:25 EDT
Answer to your question you asked Ralph at comment #13
Comment 18 Michal Hlavinka 2014-01-06 10:44:00 EST
The legal concern was discussed with needinfo if there is any other concern. As needinfo was not answered. Dropping both.

Tomas: Did you review this package? Is it ok?
Comment 19 Tomas Hozza 2014-01-06 10:57:52 EST
Hi Michal.

I did the review some time ago. I also checked the package again and I don't
see any major issues.

Formal review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable


Issues:
=======
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: arm-none-eabi-newlib. Illegal package name: arm-
  none-eabi-newlib. Does not provide -static: arm-none-eabi-newlib.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries
- Header files in -devel subpackage, if present.
  Note: arm-none-eabi-newlib : /usr/arm-none-eabi/include/_ansi.h arm-none-
  eabi-newlib : /usr/arm-none-eabi/include/_syslist.h arm-none-eabi-newlib :
  /usr/arm-none-eabi/include/alloca.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/ar.h arm-none-eabi-newlib : /usr/arm-none-eabi/include/argz.h
  arm-none-eabi-newlib : /usr/arm-none-eabi/include/assert.h arm-none-eabi-
  newlib : /usr/arm-none-eabi/include/complex.h arm-none-eabi-newlib : /usr
  /arm-none-eabi/include/ctype.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/dirent.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/envlock.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/envz.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/errno.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/fastmath.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/fcntl.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/fnmatch.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/getopt.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/glob.h arm-none-eabi-newlib : /usr/arm-none-eabi/include/grp.h
  arm-none-eabi-newlib : /usr/arm-none-eabi/include/iconv.h arm-none-eabi-
  newlib : /usr/arm-none-eabi/include/ieeefp.h arm-none-eabi-newlib : /usr
  /arm-none-eabi/include/inttypes.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/langinfo.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/libgen.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/limits.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/locale.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/_default_types.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/_types.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/ansi.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/endian.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/fastmath.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/ieeefp.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/malloc.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/param.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/setjmp-dj.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/setjmp.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/stdlib.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/termios.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/time.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/machine/types.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/malloc.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/math.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/newlib.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/paths.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/pthread.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/pwd.h arm-none-eabi-newlib : /usr/arm-none-eabi/include/reent.h
  arm-none-eabi-newlib : /usr/arm-none-eabi/include/regdef.h arm-none-eabi-
  newlib : /usr/arm-none-eabi/include/regex.h arm-none-eabi-newlib : /usr/arm-
  none-eabi/include/sched.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/search.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/setjmp.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/signal.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/stdint.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/stdio.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/stdio_ext.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/stdlib.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/string.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/strings.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/_default_fcntl.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/_types.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/cdefs.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/config.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/custom_file.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/dir.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/dirent.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/errno.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/fcntl.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/features.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/file.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/iconvnls.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/lock.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/param.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/queue.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/reent.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/resource.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/sched.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/signal.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/stat.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/stdio.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/string.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/syslimits.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/time.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/timeb.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/times.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/types.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/unistd.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/utime.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/sys/wait.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/tar.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/termios.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/tgmath.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/time.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/unctrl.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/unistd.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/utime.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/utmp.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/wchar.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/wctype.h arm-none-eabi-newlib : /usr/arm-none-
  eabi/include/wordexp.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

All are OK since this package provides libraries for cross compiling for unsupported ARM architecture.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: arm-none-eabi-newlib-2.0.0-1.fc21.noarch.rpm
          arm-none-eabi-newlib-2.0.0-1.fc21.src.rpm
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/libc.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/fpu/libc.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/fpu/libg.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/thumb/libm.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/libm.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/fpu/libm.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/thumb/libc.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/libg.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/thumb/libg.a

This is OK since this package provides libraries for cross compiling for unsupported ARM architecture.

arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/malloc.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/unistd.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/param.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/time.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/pthread.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/ar.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/utmp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/ctype.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/glob.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/queue.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/libc.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/string.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/signal.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/termios.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/timeb.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/stdlib.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/limits.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/utime.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/fpu/libc.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/ansi.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/stdio.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/complex.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/string.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/_default_types.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/sched.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/ieeefp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/times.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/langinfo.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/regdef.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/iconv.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/stat.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/paths.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/_types.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/_ansi.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/fpu/libg.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/libgen.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/pwd.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sched.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/unistd.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/signal.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/wordexp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/setjmp-dj.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/thumb/libm.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/iconvnls.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/dirent.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/tar.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/ieeefp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/assert.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/reent.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/strings.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/envz.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/_types.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/regex.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/wchar.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/stdio.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/fnmatch.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/fcntl.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/unctrl.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/search.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/envlock.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/errno.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/syslimits.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/time.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/cdefs.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/libm.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/lock.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/endian.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/locale.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/_default_fcntl.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/math.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/fcntl.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/setjmp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/_syslist.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/stdio_ext.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/fpu/libm.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/reent.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/features.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/fastmath.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/time.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/stdlib.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/utime.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/dirent.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/thumb/libc.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/types.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/grp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/newlib.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/config.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/fastmath.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/setjmp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/wctype.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/inttypes.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/param.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/dir.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/tgmath.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/types.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/argz.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/custom_file.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/stdint.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/errno.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/wait.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/libg.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/alloca.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/termios.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/getopt.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/thumb/libg.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/malloc.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/resource.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/file.h
arm-none-eabi-newlib.noarch: W: non-standard-dir-in-usr arm-none-eabi
2 packages and 0 specfiles checked; 9 errors, 109 warnings.

This is OK since this package provides libraries for cross compiling for unsupported ARM architecture.


Rpmlint (installed packages)
----------------------------
# rpmlint arm-none-eabi-newlib
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/libc.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/fpu/libc.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/fpu/libg.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/thumb/libm.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/libm.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/fpu/libm.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/thumb/libc.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/libg.a
arm-none-eabi-newlib.noarch: E: arch-independent-package-contains-binary-or-object /usr/arm-none-eabi/lib/thumb/libg.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/malloc.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/unistd.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/param.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/time.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/pthread.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/ar.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/utmp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/ctype.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/glob.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/queue.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/libc.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/string.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/signal.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/termios.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/timeb.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/stdlib.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/limits.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/utime.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/fpu/libc.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/ansi.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/stdio.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/complex.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/string.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/_default_types.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/sched.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/ieeefp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/times.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/langinfo.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/regdef.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/iconv.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/stat.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/paths.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/_types.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/_ansi.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/fpu/libg.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/libgen.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/pwd.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sched.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/unistd.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/signal.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/wordexp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/setjmp-dj.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/thumb/libm.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/iconvnls.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/dirent.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/tar.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/ieeefp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/assert.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/reent.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/strings.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/envz.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/_types.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/regex.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/wchar.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/stdio.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/fnmatch.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/fcntl.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/unctrl.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/search.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/envlock.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/errno.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/syslimits.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/time.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/cdefs.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/libm.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/lock.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/endian.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/locale.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/_default_fcntl.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/math.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/fcntl.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/setjmp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/_syslist.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/stdio_ext.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/fpu/libm.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/reent.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/features.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/fastmath.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/time.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/stdlib.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/utime.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/dirent.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/thumb/libc.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/types.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/grp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/newlib.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/config.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/fastmath.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/setjmp.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/wctype.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/inttypes.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/param.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/dir.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/tgmath.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/types.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/argz.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/custom_file.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/stdint.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/errno.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/wait.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/libg.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/alloca.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/termios.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/getopt.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/lib/thumb/libg.a
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/machine/malloc.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/resource.h
arm-none-eabi-newlib.noarch: W: devel-file-in-non-devel-package /usr/arm-none-eabi/include/sys/file.h
arm-none-eabi-newlib.noarch: W: non-standard-dir-in-usr arm-none-eabi
1 packages and 0 specfiles checked; 9 errors, 109 warnings.
# echo 'rpmlint-done:'



Requires
--------
arm-none-eabi-newlib (rpmlib, GLIBC filtered):



Provides
--------
arm-none-eabi-newlib:
    arm-none-eabi-newlib



Source checksums
----------------
ftp://sourceware.org/pub/newlib/newlib-2.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 49c29e9129325e7c3b221aa829743ddcd796d024440e47c80fc0d6769af72d8a
  CHECKSUM(SHA256) upstream package : 49c29e9129325e7c3b221aa829743ddcd796d024440e47c80fc0d6769af72d8a


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 913254 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


This package is APPROVED from packaging point of view...
Comment 20 Michal Hlavinka 2014-01-06 11:00:43 EST
Thank you
Comment 21 Michal Hlavinka 2014-01-06 11:02:44 EST
New Package SCM Request
=======================
Package Name: arm-none-eabi-newlib
Short Description: C library intended for use on arm-none-eabi embedded systems
Owners: mhlavink
Branches: f19 f20
InitialCC:
Comment 22 Jon Ciesla 2014-01-06 11:18:15 EST
Git done (by process-git-requests).
Comment 23 Till Maas 2014-01-11 05:19:27 EST
Can you please create an F20 update so that the package can be installed from updates-testing?
Comment 24 Michal Hlavinka 2014-01-17 05:33:01 EST
(In reply to Till Maas from comment #23)
> Can you please create an F20 update so that the package can be installed
> from updates-testing?

done

Note You need to log in before you can comment on or make changes to this bug.